*{margin: 0; padding: 0; box-sizing: border-box;}


        h1{
            margin-top: 20px;
            text-align: center;
        }
      
        
        section#agrego{
            margin: 20px auto;
            width: 100%;
            max-width: 600px;
            padding: 10px;
            border: 1px solid black;
        }
        #area_busqueda{
            display: flex; 
            flex-wrap: wrap;
            justify-content: center;
            height: 30px;
            margin-top: 20px; 
        }
        .busqueda{
            display: flex;
            position: relative;
            flex-wrap: wrap;
            justify-content: center;
            display: block;
            width: auto;
            max-width: 300px;
            height: 30px;
            margin: 0px 0 10px 0px;
        }

        .busqueda input[type="text"]{
            margin: 0 !important;
            border: 2px solid black;
            border-radius: 5px;
            width: 300px;
            max-width: 100%;
            padding: 5px;
            margin-top: 10px;
        }
        .busqueda img{
            cursor: pointer;
            width:30px;
            position: absolute;
            top: 0;
            right: 0;
            background-color: #e2ebf900;
            border-radius: 0 10px 10px 0;
        }

        #area_busqueda input[type="button"]{
            margin-left: 5px;
            height: 30px;
            display: block;
            padding: 5px;
            width: 150px;
            
        }
        .disable{
            pointer-events: none;
            opacity: 0.4;
        }
        #agrego .lblclass{
            float: left;
            width: 170px;
            margin-top: 12px;
        }
        
        #agrego input[type="text"]{
            width: 300px;
            max-width: 100%;
            padding: 5px;
            margin-top: 10px;
        }
        #agrego input[type="button"]{
            margin-left: 100px;
            text-align: center;
            display: flexbox;
            padding: 10px;
            width: 150px;
            cursor: pointer;
        }
        #agrego h2{
            float: left;
            width: 100%;
            text-align: center;
            margin: auto;
        }
        #producto{
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
        }
        #producto article{
            width: 100%;
            max-width: 300px;
            text-align: center;
            margin: 20px;
        }
        #producto .imagen{
            width: 280px;
            margin: auto;
        }
        .botones{
            display: flex;
            flex-wrap: wrap;
            justify-content: space-around;
        }

        /* estilos de resultados html */

        header{
            position:fixed;
            width: 100%;
            height: auto;
            min-height: 70px;
            background-color: blueviolet;
            top: 0;
        }
        header h1{
            color: white;
        }
        .contenedor{
            margin: auto;
        }
        article{
            position: relative;
        }

         .trash {
             position:absolute;
           top: 60px;
           right: 0;
            height: 35px;
            width: 35px;
            cursor: pointer;
            background-color: white;
            border: 1px solid #838f9b00;
            border-radius: 50%;
            padding: 5px;
            transition: transform 0.5s;
    
        } 

        .trash img, .edit img{
            width: 100%;
        }
.edit{
    position: absolute;
    top: 100px;
    right: 0;
    height: 35px;
    width: 35px;
    cursor: pointer;
    border: 1px solid #80D261;
    border-radius: 50%;
    padding: 5px;
    transition:transform 0.2s;
}

        .trash:hover, .edit:hover{
            transform: scale(1.3);
        }
      
        .color_green{
            color: white;
            background-color: #0ab070;
            border: none;
        }
        .color_green:hover{
            color: black;
        }
        .color_red{
            color: white;
            background-color: red;
            border: none;
        }
        .color_red:hover{
            color: black;
        }
        .listado   {
            margin-top: 100px;
            width: 100%;
        }
        .tabla{
            display: block;
            max-width: 90%;
            margin: auto;
        }
        table{
            width: 100%;
            text-align: center;
        }

        table,
        tr,
        td,
        th{
            border: 1px solid #ccc;
            border-radius: 5px;
            padding: 10px;
            margin: 10px;
        }

        .tabla img{
            max-width: 100px;
        }
        h1{
            margin: 10px;
            text-align: center;
            color: white;
        }

        header input[type="button"]{
            position: fixed;
            top: 15px;
            right: -15px;
            display: inline-block;
            padding: 10px;
            width: 70px;
            cursor: pointer;
            transform: rotate(270deg);
        }

      
